{ pkgs, ... }:

pkgs.dockerTools.buildImage {
  name = "caddy-custom";
  tag = "latest";

  fromImage = "docker.io/caddy";
  fromImageName = null;
  fromImageTag = "2.8.4-builder";

  runAsRoot = ''
    #!${pkgs.runtimeShell}

    xcaddy build --with github.com/caddy-dns/cloudflare
  '';
}
